import request from '@/utils/request'

export const api = {
  downloadFile: '/file/cloudStorage/download'
}

export function importFile(data, url) {
  return request({
    url,
    method: 'post',
    data,
    headers: {
      'repeatSubmit': false // 可重复提交
    }
  })
}

// 通过储存路径删除文件服务的文件 [{ fileUrl: 'xxxx' }]
export function removeFile(data) {
  return request({
    url: '/file/cloudStorage/delete/fileStorageName',
    method: 'post',
    data
  })
}
